<?php

if(function_exists('exec')) {

  include('../odbconexion/variables_config.php');

  // Nombre del archivo .sql a descargar

  $nameBackup = 'backup_' .$database. '_' . date('Y-m-d_H-i-s') . '.sql';



  // Comando para generar el archivo .sql utilizando mysqldump

  $comando = "mysqldump --host=".$host." --user=".$username." --password=".$password." --databases ".$database." > $nameBackup";



  // Ejecutar el comando

  exec($comando);



  // Configurar el encabezado de la respuesta HTTP para descargar el archivo .sql

  header('Content-Type: application/octet-stream');

  header('Content-Disposition: attachment; filename="' . $nameBackup . '"');

  header('Content-Length: ' . filesize($nameBackup));



  // Leer y enviar el archivo .sql como respuesta

  readfile($nameBackup);



  // Eliminar el archivo .sql del servidor

  unlink($nameBackup);

}else{

    echo "Lo sentimos, no cuenta con los permisos para ejecutar el comando! 'EXEC'";

}

?>       



    